{%include 'admin/cabecera.html'%}
<br><br>

<h2>Bienvenido {{ session["usuario"]}}</h2>

<div class="container">
    <div class="row">
        <div class="col-md-4">
            <div class="card">
                
                <div class="class-header">
                    Datos de los libros
                </div>

                <!--Inicio del formulario-->
                <form action="/admin/libros/guardar" method="post" enctype="multipart/form-data">
                    <div class="mb-3">
                        <label for="">Nombre</label>
                        <input type="text" class="form-control" name="nombre_libro" placeholder="Nombre">
                    </div>
                    <div class="mb-3">
                        <label for="">Imagen</label>
                        <input type="file" class="form-control" name="imagen_libro" placeholder="Imagen">
                    </div>
                    <div class="mb-3">
                        <label for="">URL</label>
                        <input type="text" class="form-control" name="url_libro" placeholder="Dirección libro">
                    </div>
                    <button type="submit" class="btn btn-primary">Agregar</button>
                </form>

            </div>
        </div>
        <!--Mostrar los datos de la base de datos -->
        <div class="col-md-8">
            <table class="table">
                <thead>
                    <th>ID</th>
                    <th>Nombre</th>
                    <th>Imágen</th>
                    <th>URL</th>
                    <th>Acciones</th>
                </thead>
                <tbody>
                    {% for dato in libros%}
                    <tr>
                        <td>{{ dato[0]}}</td>
                        <td>{{ dato[1]}}</td>
                        <td>{{ dato[2]}}</td>
                        <td>{{ dato[3]}}</td>
                        <td>
                            <form action="/admin/libros/editar" method="post">
                                <input type="hidden" name="id" value="{{ dato[0]}}">
                                <button type="submit" class="btn btn-success">Editar</button>
                            </form>
                        </td>
                        <td>
                            <form action="/admin/libros/eliminar" method="post">
                                <input type="hidden" name="id" value="{{ dato[0]}}">
                                <button type="submit" class="btn btn-danger">Eliminar</button>
                            </form>
                        </td>
                    </tr>
                    {% endfor%}
                </tbody>
            </table>
        </div>
    </div>
</div>

{%include 'sitio/pie_pagina.html'%}